# Class TLS

java.lang.Object
org.apache.tomcat.util.compat.TLS

@Deprecated public class TLS extends Object
Deprecated.
Unused. This will be removed in Tomcat 10.
This class checks for the availability of TLS features.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TLS()`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static boolean`
  `isTlsv13Available()`
  Deprecated.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TLS

    public TLS()
    Deprecated.

- ## Method Details

  - ### isTlsv13Available

    public static boolean isTlsv13Available()
    Deprecated.